package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.AttOrgExt;

/**
 * 机构扩展信息 服务层
 */
public interface IAttOrgExtService {

    /**
     * 查询机构扩展信息信息
     * @param guid 查询条件
     * @return 机构扩展信息信息
     */
    AttOrgExt selectAttOrgExtByGuid(String guid);

    /**
     * 查询机构扩展信息列表
     * @param attOrgExt 机构扩展信息查询条件
     * @return 机构扩展信息集合
     */
    List<AttOrgExt> selectAttOrgExtList(AttOrgExt attOrgExt);

    /**
     * 新增机构扩展信息
     * @param attOrgExt 机构扩展信息信息
     * @return 影响行数
     */
    int insertAttOrgExt(AttOrgExt attOrgExt);

    /**
     * 修改机构扩展信息
     * @param attOrgExt 机构扩展信息信息
     * @return 影响行数
     */
    int updateAttOrgExt(AttOrgExt attOrgExt);

    /**
     * 删除机构扩展信息
     * @param guid 机构扩展信息主键
     * @return 影响行数
     */
    int deleteAttOrgExtByGuid(String guid);

    /**
     * 批量删除机构扩展信息
     * @param guids 机构扩展信息主键数组
     * @return 影响行数
     */
    int deleteAttOrgExtByGuids(String[] guids);
}
